Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.interaction.annotations
Enum Widget.HighlightModeEnum

    java.lang.Object
      java.lang.Enum<Widget.HighlightModeEnum>
          org.pdfclown.documents.interaction.annotations.Widget.HighlightModeEnum

All Implemented Interfaces:
  Serializable, Comparable<Widget.HighlightModeEnum>

Enclosing class:
  Widget

    public static enum Widget.HighlightModeEnum

extends Enum<Widget.HighlightModeEnum>

Highlighting mode [PDF:1.6:8.4.5].

Enum Constant Summary
`Invert` Invert the contents of the annotation rectangle.
`None` No highlighting.
`Outline` Invert the annotation's border.
`Push` Display the annotation's down appearance.
`Toggle` Same as Push (which is preferred).

Method Summary
`static Widget.HighlightModeEnum` | `get(PdfName value)` Gets the highlighting mode corresponding to the given value.
`PdfName` | `getCode()`
`static Widget.HighlightModeEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Widget.HighlightModeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### None

    public static final Widget.HighlightModeEnum None

  No highlighting.

### Invert

    public static final Widget.HighlightModeEnum Invert

  Invert the contents of the annotation rectangle.

### Outline

    public static final Widget.HighlightModeEnum Outline

  Invert the annotation's border.

### Push

    public static final Widget.HighlightModeEnum Push

  Display the annotation's down appearance.

### Toggle

    public static final Widget.HighlightModeEnum Toggle

  Same as Push (which is preferred).

Method Detail

### values

    public static Widget.HighlightModeEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Widget.HighlightModeEnum c : Widget.HighlightModeEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Widget.HighlightModeEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### get

    public static Widget.HighlightModeEnum get(PdfName value)

  Gets the highlighting mode corresponding to the given value.

### getCode

    public PdfName getCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.